VRENDER_REGISTER_SHADER(3)

FUNCTION
vrender_register_shader - Register a shader function.

SYNOPSIS
#include <karma_vrender.h>

void vrender_register_shader

(void (*slow_func) (), void (*fast_func) (), CONST char *name, packet_desc *pack_desc, CONST char *blank_packet, void *info, flag front)

DESCRIPTION
Register a shader function.

slow_func
    The slow shader function.

fast_func
    The fast shader function. If this is NULL the slow function will always be used.

name
    The name of the shader function.

pack_desc
    The packet descriptor describing the output image pixels. A copy is made, hence the original may be deallocated.

blank_packet
    A pointer to a sample packet containing blank data.

info
    An arbitrary information pointer associated with the shader.

front
    If TRUE, the new shader is placed at the front of the list, else it is placed at the back of the list.

RETURN VALUE
Nothing. The process aborts on error.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/